Bug 1798534 (CVE-2019-12528) - CVE-2019-12528 squid: Information Disclosure issue in FTP Gateway [NEEDINFO]
Summary: CVE-2019-12528 squid: Information Disclosure issue in FTP Gateway
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-12528
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1798535 1802512 1802517
Blocks: 1798558
TreeView+ depends on / blocked
 
Reported: 2020-02-05 14:51 UTC by Pedro Sampaio
Modified: 2020-11-04 03:31 UTC (History)
12 users (show)

Fixed In Version: squid 4.10
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-30 09:57:05 UTC
icesalov: needinfo? (luhliari)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4082 None None None 2020-09-30 07:00:57 UTC
Red Hat Product Errata RHSA-2020:4743 None None None 2020-11-04 03:31:49 UTC

Description Pedro Sampaio 2020-02-05 14:51:59 UTC
An issue was discovered in Squid before 4.10. It allows a crafted FTP server to trigger disclosure of sensitive information from heap memory, such as information associated with other users' sessions or non-Squid processes.

References:

http://www.squid-cache.org/Advisories/SQUID-2020_2.txt

Comment 1 Pedro Sampaio 2020-02-05 14:53:00 UTC
Created squid tracking bugs for this issue:

Affects: fedora-all [bug 1798535]

Comment 2 Stefan Cornelius 2020-02-13 10:26:05 UTC
Mitigation:

As a workaround, it is possible to disable support for FTP. In order to do so, remove the following line from your squid configuration file:
acl Safe_ports 21

Then add the following lines to your squid configuration file:
acl FTP proto FTP
http_access deny FTP

Comment 9 errata-xmlrpc 2020-09-30 07:00:55 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:4082 https://access.redhat.com/errata/RHSA-2020:4082

Comment 10 Product Security DevOps Team 2020-09-30 09:57:05 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-12528

Comment 11 errata-xmlrpc 2020-11-04 03:31:44 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4743 https://access.redhat.com/errata/RHSA-2020:4743


Note You need to log in before you can comment on or make changes to this bug.